import { Component } from 'react'
import { View, Text, Image } from '@tarojs/components'
import { observer, inject } from 'mobx-react'
import './index.less'
import Taro from '@tarojs/taro'
type PageStateProps = {
    store: {
        indexStore: {
            navBarTop: number,
            SET_NAVBARMARGINTOP: Function,
            openType: number
        }
    }
}
interface AboutWe {
    props: PageStateProps;
}



@inject('store')
@observer
class AboutWe extends Component {
    
    componentWillMount() { }
    componentDidMount() { }
    componentWillUnmount() { }
    componentDidShow() { }
    componentDidHide() { }

    render() {
        let { indexStore } = this.props.store
        return (
            <View className='aboutWe'>
                <View className="content">
                    <Image src={""}  mode="widthFix" className="logo" style={{width: Taro.pxTransform(152)}}/>
                    <Text className="logoName">{app?.appInfo?.appName}</Text>
                    {
                        indexStore.openType === 1 ? <Text className="explain">致力于为用户提供精品阅读内容，精彩呈现</Text> :
                        <>
                            <Text className="explain">{app?.appInfo?.appName}是一个全正版的免费阅读平台</Text>
                            <Text className="explain">致力于为用户提供更丰富更优质的免费阅读内</Text>
                        </>
                    }
                    
                </View>
            </View>
        )
    }
}

export default AboutWe
